Package org.eclipse.wst.xsl.core.internal.model

## org.eclipse.wst.xsl.core.internal.model
Class XSLElementFactory

    public class XSLElementFactory
    extends java.lang.Object

A Factory that creates XSL Elements of the requested type.

## Constructor Summary

`XSLElementFactory(org.eclipse.wst.xsl.core.internal.model.StylesheetParserData data , org.w3c.dom.Element element)`

## Method Summary

`public org.eclipse.wst.xsl.core.model.XSLElement` | `createCallTemplate()`
`public org.eclipse.wst.xsl.core.model.XSLElement` | `createFunction()`
`public org.eclipse.wst.xsl.core.model.XSLElement` | `createImport()`
`public org.eclipse.wst.xsl.core.model.XSLElement` | `createInclude()`
`public org.eclipse.wst.xsl.core.model.XSLElement` | `createParamater()`
`public org.eclipse.wst.xsl.core.model.XSLElement` | `createStyleSheet()`
`public org.eclipse.wst.xsl.core.model.XSLElement` | `createTemplate()`
`public org.eclipse.wst.xsl.core.model.XSLElement` | `createVariable(org.eclipse.wst.xsl.core.model.XSLElement xslEl)`
`public org.eclipse.wst.xsl.core.model.XSLElement` | `createWithParamParm()`
`public org.eclipse.wst.xsl.core.model.XSLElement` | `createXSLElement()`

## Constructor Detail

## XSLElementFactory

`public XSLElementFactory(org.eclipse.wst.xsl.core.internal.model.StylesheetParserData data , org.w3c.dom.Element element)`

## Methods Detail

## createCallTemplate

`public org.eclipse.wst.xsl.core.model.XSLElement createCallTemplate()`

### Returns

`org.eclipse.wst.xsl.core.model.XSLElement`

## createFunction

`public org.eclipse.wst.xsl.core.model.XSLElement createFunction()`

### Returns

`org.eclipse.wst.xsl.core.model.XSLElement`

## createImport

`public org.eclipse.wst.xsl.core.model.XSLElement createImport()`

### Returns

`org.eclipse.wst.xsl.core.model.XSLElement`

## createInclude

`public org.eclipse.wst.xsl.core.model.XSLElement createInclude()`

### Returns

`org.eclipse.wst.xsl.core.model.XSLElement`

## createParamater

`public org.eclipse.wst.xsl.core.model.XSLElement createParamater()`

### Returns

`org.eclipse.wst.xsl.core.model.XSLElement`

## createStyleSheet

`public org.eclipse.wst.xsl.core.model.XSLElement createStyleSheet()`

### Returns

`org.eclipse.wst.xsl.core.model.XSLElement`

## createTemplate

`public org.eclipse.wst.xsl.core.model.XSLElement createTemplate()`

### Returns

`org.eclipse.wst.xsl.core.model.XSLElement`

## createVariable

`public org.eclipse.wst.xsl.core.model.XSLElement createVariable(org.eclipse.wst.xsl.core.model.XSLElement xslEl)`

### Parameters

`xslEl`

### Returns

`org.eclipse.wst.xsl.core.model.XSLElement`

## createWithParamParm

`public org.eclipse.wst.xsl.core.model.XSLElement createWithParamParm()`

### Returns

`org.eclipse.wst.xsl.core.model.XSLElement`

## createXSLElement

`public org.eclipse.wst.xsl.core.model.XSLElement createXSLElement()`

### Returns

`org.eclipse.wst.xsl.core.model.XSLElement`